# NativeExecutableBinary

@Incubating
interface NativeExecutableBinary : NativeBinary

A binary artifact for a NativeExecutable, targeted at a particular platform with specific configuration.

## Functions

getBuildType
Link copied to clipboard
abstract fun getBuildType(): BuildType
getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getExecutableFile
Link copied to clipboard
abstract fun getExecutableFile(): File
The executable file.
getFlavor
Link copied to clipboard
abstract fun getFlavor(): Flavor
getTargetPlatform
Link copied to clipboard
abstract fun getTargetPlatform(): NativePlatform